#
# ~/.bashrc
#


# If not running interactively, don't do anything
#
[[ $- != *i* ]] && return

#store ssh key for like an hour or so thomas says
if ! pgrep -u "$USER" ssh-agent > /dev/null; then
            ssh-agent > "$XDG_RUNTIME_DIR/ssh-agent.env"
fi
if [[ ! "$SSH_AUTH_SOCK" ]]; then
            eval "$(<"$XDG_RUNTIME_DIR/ssh-agent.env")"
fi

stty -ixon # Disable ctrl-s/ctrl-q


HISTSIZE= HISTFILESIZE= # Infinite history

alias ls='ls --color=auto --group-directories-first'
alias grep='grep --color=auto'
alias diff='diff --color=auto'


#PS1='[\e[0;32m\u@\h \W\e[m] \$ '
#gayPS1='\[\e[1;32m\][\u@\h]\e[m \e[1;34m\w\[\e[m\] \$ '
PS1="\[\033[38;5;2m\][\u@\h]\[$(tput sgr0)\] \[$(tput sgr0)\]\[\033[38;5;12m\]\w\[$(tput sgr0)\] \\$ \[$(tput sgr0)\]"


echo "`figlet "           uf" && figlet "zombie" && figlet "maniac"`" | lolcat



#TERM=xterm-256color
alias qtechssh="ssh zombie@admin.qtechofficial.com -p 9940 -X"
alias qtech2ssh="ssh zombie@home.qtechofficial.com -p 2222 -X"
alias sharescreennoscreen="~/.local/bin/share -r 1920x1080 -m 0"
alias sharescreen="screen -S mon2camscreen bash -c '~/.local/bin/share -r 1920x1080 -m 0 -f 15'"
alias entermon="screen -rx mon2camscreen"
alias memepv="mpv --vo=tct --profile=sw-fast"
#alias nasssh="ssh zombie@192.168.1.23 -p 9940 -X"
alias kleinerssh="ssh zombie@home.ufzombiemaniac.com -p 9940 -X"
alias ufzssh="ssh zombie@admin.ufzombiemaniac.com -p 9940 -X"
#alias make="make -j16"
alias make="make -j$(nproc)"
alias yay="paru"
alias kak="nvim"
alias youtube-dl="yt-dlp"
alias neofetch="fastfetch"
#alias config='/usr/bin/git --git-dir=$HOME/dotfiles/ --work-tree=$HOME'
#alias runelite="WINEPREFIX=~/Games/runelite wine 'C:\users\zombie\Local Settings\Application Data\RuneLite\RuneLite.exe'"





#mineing
alias minexmr="screen -S xmrig bash -c 'sudo ~/Documents/bigdocs/xmrigminerinator/xmrig-qtech'"
#alias mineeth="screen -S ethminer bash -c 'ethminer -G -R -P stratum1+tcp://0xA85C9b7616F2f595Dc563D4731a734d896456aa6.kleiner:spam%40qtechofficial.com@eth-us-west1.nanopool.org:9999'"
alias mineeth="screen -S ethminer bash -c 'ethminer -G -R -P stratum1+tcp://0xD0ff677C43f9D9a377392B6DefF7C8eC6E5ccC2c.kleiner@us1.ethermine.org:4444'"
#alias mineethnoscreen="ethminer -G -R -P stratum1+tcp://0xA85C9b7616F2f595Dc563D4731a734d896456aa6.kleiner:spam%40qtechofficial.com@eth-us-west1.nanopool.org:9999"
alias mineethnoscreen="ethminer -G -R -P stratum1+tcp://0xD0ff677C43f9D9a377392B6DefF7C8eC6E5ccC2c.kleiner@us1.ethermine.org:4444"
alias mineetc="screen -S etcminer bash -c 'ethminer -G -R -P stratum1+tcp://0xD0ff677C43f9D9a377392B6DefF7C8eC6E5ccC2c.kleiner@us1-etc.ethermine.org:4444'"
alias enterxmr="screen -rx xmrig"
alias entereth="screen -rx ethminer"
echo "baalls"

cd "/mnt/zombienas/organized_data/absolutely-unique/kleinerterminal"




